# EcoDynamics.jl

**EcoDynamics.jl** is a package for simulation of ecosystem processes,
specifically population and community dynamics on spatial graphs, written in the
_Julia_ language. 

!!! info
    Note that EcoDynamics.jl is still under development, and although the API is
    not expected to change a ton, we still do not yet guarantee it will remain
    constant until the first `v1.0` productoin release. 

# Installation 

If you need to install Julia, you can do so using the `juliaup`
installation manager with instructions found
[here](https://julialang.org/downloads/). 

From within Julia, you can install the release with 

```
using Pkg
Pkg.add("EcoDynamics")
```

Or from the [REPL Pkg mode](https://docs.julialang.org/en/v1/stdlib/Pkg/), you
can use

```
pkg> add EcoDynamics
```

# Background and Motivation

- so this should justify the major elements that must be includeable in
  simulation 

# Documentation Structure

This documentation is structured loosely using the
[Diátaxis](https://diataxis.fr/) format, which separates documentation into four
forms:

1. Tutorials (a _learning-oriented_ guided exploration of the software)
2. How-to Guides (a _goal-oriented_ set of directions to accomplish something specific)
3. Reference (_information-oriented_ "techinical descriptions of the machinery")
4. Explanation (_understanding-oriented_ discussions on the software design)

## 🐛 Tutorials

- [Getting started with `EcoDynamics.jl`]()
- []()

## 🦋 How-to Guides

## 📚 Reference

## 🧪 Explanation


